#include <ctype.h>

/*
 * Return a true value if the argument string is a word in the
 * [A-Z][A-Za-z]* format, i.e. the first character is uppercase,
 * the others, if exist, uppercase or lowercase.
 */
int is_uword(const char *s)
{
    if (!isupper(*s))
	return 0;
    for (++s; *s != '\0'; ++s)
	if (!isalpha(*s))
	    return 0;
    return 1;
}
