#include <ctype.h>

/*
 * Translate the hexadecimal argument string into an integer value.
 */
int hex_to_int(const char *s)
{
    int i = 0;

    for (; *s != '\0'; ++s) {
	if (!isxdigit(*s))
	    return i;
	i *= 16;
	if (isdigit(*s))
	    i += *s - '0';
	else
	    i += tolower(*s) - 'a' + 10;
    }

    return i;
}
