#include <string.h>

int memcmp(const void *s1, const void *s2, size_t n)
{
    const unsigned char *sp1, *sp2;

    for (sp1 = s1, sp2 = s2; n > 0; ++sp1, ++sp2, --n)
	if (*sp1 != *sp2)
	    return (*sp1 < *sp2) ? -1 : 1;

    return 0;
}
