#include <stdio.h>
#include <stdlib.h>
#include <string.h>

/*
 * Check if two objects are equal (contain the same data).
 */
#define OBJEQ(obj1, obj2)			\
	(sizeof(obj1) == sizeof(obj2) &&	\
	 memcmp(&(obj1), &(obj2), sizeof(obj1)) == 0)

int main(void)
{
    int a = 1, b = 1, c = 2;
    int *bp = &b;
    char d = 1;

    printf("%d\n", OBJEQ(a, b));   /* Prints "1". */
    printf("%d\n", OBJEQ(a, c));   /* Prints "0". */
    printf("%d\n", OBJEQ(a, *bp)); /* Prints "1". */
    printf("%d\n", OBJEQ(a, d));   /* Prints "0". */

    return EXIT_SUCCESS;
}
