#include <ctype.h>

/*
 * Return a true value if the argument string is a regular C
 * identifier.
 */
int is_identifier(const char *s)
{
    if (!isalpha(*s) && *s != '_')
	return 0;
    for (++s; *s != '\0'; ++s)
	if (!isalnum(*s) && *s != '_')
	    return 0;
    return 1;
}
