#include <ctype.h>

/*
 * Compare the two strings ignoring the characters case.
 */
int istrcmp(const char *s1, const char *s2)
{
    const unsigned char *sp1 = (const unsigned char *)s1;
    const unsigned char *sp2 = (const unsigned char *)s2;

    for (; tolower(*sp1) == tolower(*s2); ++sp1, ++sp2)
	if (*sp1 == '\0')
	    return 0;

    return tolower(*sp1) - tolower(*sp2);
}
