#include <errno.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main(void)
{
    FILE *f;

    /* Try to open an unexistent file. */
    if ((f = fopen("noexist.txt", "r")) == NULL) {
	    fprintf(stderr, "Cannot open: error number %d: %s\n",
		    errno, strerror(errno));
	    return EXIT_FAILURE;
    }
    fclose(f);

    return EXIT_SUCCESS;
}
