#ifndef __LOCALE_H
#define __LOCALE_H

#define LC_ALL	       	/* implementation defined */
#define LC_COLLATE     	/* implementation defined */
#define LC_CTYPE       	/* implementation defined */
#define LC_MONETARY    	/* implementation defined */
#define LC_NUMERIC     	/* implementation defined */
#define LC_TIME	       	/* implementation defined */
#define NULL	       	/* implementation defined */

struct lconv {
    char *decimal_point;
    char *thousands_sep;
    char *grouping;
    char *int_curr_symbol;
    char *currency_symbol;
    char *mon_decimal_point;
    char *mon_thousands_sep;
    char *mon_grouping;
    char *positive_sign;
    char *negative_sign;
    char int_frac_digits;
    char frac_digits;
    char p_cs_precedes;
    char p_sep_by_space;
    char n_cs_precedes;
    char n_sep_by_space;
    char p_sign_posn;
    char n_sign_posn;
};

char *setlocale(int category, const char *locale);
struct lconv *localeconv(void);

#endif /* !__LOCALE_H */
