#include <stdarg.h>
#include <stdio.h>

/*
 * Sum the argument integers.
 * For example:
 *     sum_args(4, 5, 3, 2, 1);
 * Returns:
 *     11
 */
int sum_args(int num_args, ...)
{
    va_list ap;
    int sum = 0;

    va_start(ap, num_args);
    while (num_args--)
	sum += va_arg(ap, int);
    va_end(ap);

    return sum;
}
