#include <string.h>

/*
 * Search for any character found in `set' in the first `n'
 * characters of the `s' string and return a true value if found.
 */
int contains(const char *s, const char *set, size_t n)
{
    for (; *set != '\0'; ++set)
	if (memchr(s, *set, n) != NULL)
	    return 1;
    return 0;
}
