#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define MAXLINELEN	1024

/*
 * grep.c: find the matches of the user specified string in
 *         the standard input.
 * usage: grep <string>
 */
int main(int argc, char **argv)
{
    char buf[MAXLINELEN];
    int lineno = 1;

    if (argc != 2) {
	fprintf(stderr, "usage: %s <string>\n", argv[0]);
	return EXIT_FAILURE;
    }

    while (fgets(buf, MAXLINELEN, stdin) != NULL) {
	if (strstr(buf, argv[1]) != NULL)
	    printf("%s:%d: %s", argv[0], lineno, buf);
	++lineno;
    }

    return EXIT_SUCCESS;
}
