#include <string.h>

void *memmove(void *dest, const void *src, size_t n)
{
    char *dp = dest;
    const char *sp = src;

    if (dest < src)
	while (n-- > 0)
	    *dp++ = *sp++;
    else { 
	dp += n;
	sp += n;
	while (n-- > 0)
	    *--dp = *--sp;
    }

    return dest;
}
